### Virtual Method

# GObject ParamSpec value_is_valid

#### Declaration

    gboolean
    value_is_valid (
      GParamSpec* pspec,
      const GValue* value
    )

#### Description

Checks if contents of `value` comply with the specifications set out by this type, without modifying the value. This vfunc is optional. If it isn’t set, GObject will use `value_validate`. Since 2.74

#### Parameters

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.